%define prever beta3

Name:           openlierox
Version:        0.57
Release:        0.6.%{prever}%{?dist}
Summary:        Addictive realtime multiplayer 2D shoot-em-up
Group:          Amusements/Games
License:        LGPLv2+
URL:            http://openlierox.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/OpenLieroX_%{version}_%{prever}.src.tar.bz2
Source1:        %{name}.desktop
Source2:        README.fedora
Patch0:         openlierox-0.57-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_image-devel SDL_gfx-devel gd-devel
BuildRequires:  libxml2-devel hawknl-devel zlib-devel desktop-file-utils
Requires:       hicolor-icon-theme
# for people who try to install this using upstream capitalization
Provides:       OpenLieroX = %{version}-%{release}

%description
OpenLierox is an extremely addictive realtime multiplayer 2D shoot-em-up
backed by an active gamers community. Dozens of levels and mods are available
to provide endless gaming pleasure.


%prep
%setup -q -n OpenLieroX
%patch0 -p1 -z .64bit
sed -i 's|test_include_file nl.h|test_include_file hawknl/nl.h|g' compile.sh
sed -i 's/\r//g' doc/original_lx_docs/*.*
cp -a %{SOURCE2} .


%build
CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/hawknl"
. compile.sh


%install
rm -rf $RPM_BUILD_ROOT
SYSTEM_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}
BIN_DIR=$RPM_BUILD_ROOT%{_bindir}
DOC_DIR=installed-docs
mkdir -p $BIN_DIR
. install.sh

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 share/OpenLieroX.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING.LIB README.fedora doc/README doc/original_lx_docs/*
%{_bindir}/%{name}
%{_datadir}/OpenLieroX
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.6.beta3
- Rebuild for buildId

* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.5.beta3
- New upstream release 0.57beta3
- Update License tag for new Licensing Guidelines compliance

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.57-0.4.beta2
- Rebuild against SDL_gfx 2.0.16.

* Fri Apr 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.3.beta2
- New upstream release 0.57beta2

* Thu Mar 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.2.beta1
- Various specfile fixes from review (bz 232071)
- Source instead of execute the bash scripts to avoid umask problems

* Mon Mar 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.1.beta1
- Initial Fedora Extras package
